<div class="contenedor">

    <form [formGroup]="uploadForm">

        <h1>Insertar indicador manual</h1>
        <div class="intruccion">
            <p>Aquí puede ingresar los indicadores que el sistema no calcula automáticamente.
                <br>
                Por cada indicador que desee ingresar seleccione el ingeniero, el tipo de indicador e ingrese su valor
                para el periodo deseado, finalizando con la opción <b>Guardar</b>.</p>
        </div>
        <br>
        <mat-form-field class="example-full-width">

            <input matInput [matDatepicker]="dp" placeholder="Mes y año" [formControl]="date">
            <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
            <mat-datepicker #dp startView="multi-year" (yearSelected)="chosenYearHandler($event)"
                (monthSelected)="chosenMonthHandler($event, dp)" panelClass="example-month-picker">
            </mat-datepicker>
        </mat-form-field>

        <br>
        <mat-form-field class="example-full-width">
            <input id="cabecera" type="text" placeholder="Seleccione un ingeniero: " aria-label="Number" matInput
                [formControl]="controlCampoIngeniero" [matAutocomplete]="auto" [(ngModel)]="value"  required>
            <button mat-button *ngIf="value" matSuffix mat-icon-button aria-label="Clear" (click)="value=''">
                <mat-icon>x</mat-icon>
            </button>
            <mat-autocomplete id="cabecera" autoActiveFirstOption #auto="matAutocomplete">
                <mat-option (click)="guardarIngeniero(ingeniero)" *ngFor="let ingeniero of filteredOptions | async"
                    [value]="ingeniero">
                    {{ingeniero}}
                </mat-option>
            </mat-autocomplete>
        </mat-form-field>
        <br>
        <mat-form-field class="example-full-width">
            <mat-label>Indicador:</mat-label>
            <mat-select disableRipple [formControl]="controlCampoIndicador" required>
                <mat-option (click)="guardarIndicador(indicador)" *ngFor="let indicador of indicadores"
                    [value]="indicador">
                    {{indicador}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <br>
        <mat-form-field class="example-full-width">
            <input (keyup)="guardarValorNuevo($event)"  style="text-align: right;" [(ngModel)]="searchValue"
            [formControl]="controlCampoValor"
                type="number" maxlength="3" placeholder="Valor porcentual: {{valorIndicador}}"  aria-label="Number"
                matInput min="0" max="100" required>
        </mat-form-field>
        <br>
        <br>
        <button type="submit" (click)="guardarIndicadorUnicoIngeniero()" mat-raised-button
            color="primary">Guardar</button>

    </form>
    <app-spinner *ngIf="loading"></app-spinner>

</div>
<div class="example-container" *ngIf="mostarHistorial">
    <h1>Modificaciones realizadas</h1>
    <table >
        <thead class="exp">
            <th *ngFor="let pregunta of displayedColumns">{{pregunta}}</th>
          </thead>
        <tbody *ngFor="let solucion of indicadoresCargue">
          <tr>
            <td class="tdIngeniero">{{solucion.ingeniero}}</td>
            <td >{{solucion.indicador}}</td>
            <td >{{solucion.valor}}%</td>
            <td >{{solucion.year}}/{{solucion.month}}</td>
          </tr>
        </tbody>
      </table>
</div>